Skip to navigation

Create View

Use this method to create a view and attach alerts to the view.

Authentication

Authorizationstring

This key is used for all apis with the exception of ingest. You can obtain it following these instructions and placing the key in the header of your call in the format of Authorization: Token {accesstoken} For example:

curl -H 'Authorization: Token <ACCESS TOKEN>'
OR
servicekeystring

(Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the Authorization header of your api call. NOTE Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

Request

Request parameters
namestringRequired
Name of a view.
querystringOptional
Search query.
hostslist of stringsOptional
appslist of stringsOptional
levelslist of stringsOptional
tagslist of stringsOptional
categorylist of stringsOptional
presetidstringOptional
ID of a preset alert.
channelslist of objectsOptional

Response

OK